import { TJsConfigInput } from '@typeflowai/types/js';
import { TypeflowAIAPI } from '@typeflowai/api';

declare const _default: {
    init: (initConfig: {
        environmentId: string;
        apiHost: string;
        debug?: boolean | undefined;
        errorHandler?: ((args_0: any, ...args_1: unknown[]) => void) | undefined;
        userId?: string | undefined;
        attributes?: Record<string, string | number> | undefined;
    }) => Promise<void>;
    setUserId: () => Promise<void>;
    setEmail: (email: string) => Promise<void>;
    setAttribute: (key: string, value: any) => Promise<void>;
    track: (name: string, properties?: any) => Promise<void>;
    logout: () => Promise<void>;
    reset: () => Promise<void>;
    registerRouteChange: () => Promise<void>;
    getApi: () => TypeflowAIAPI;
};
export default _default;

declare const typeflowai: {
    init: (initConfig: TJsConfigInput) => Promise<void>;
    setUserId: () => Promise<void>;
    setEmail: (email: string) => Promise<void>;
    setAttribute: (key: string, value: any) => Promise<void>;
    track: (name: string, properties?: any) => Promise<void>;
    logout: () => Promise<void>;
    reset: () => Promise<void>;
    registerRouteChange: () => Promise<void>;
    getApi: () => TypeflowAIAPI;
};

export declare type TypeflowAIType = typeof typeflowai;

export { }
